CT-NG possibly broken

Khem Raj raj.khem@gmail.com
Tue May 11 20:01:00 GMT 2010


On (11/05/10 17:33), Yann E. MORIN wrote:
> Joshua, All,
> 
> On Monday 10 May 2010 15:38:42 Joshua Weberruss wrote:
> > I apologise in advance for any mistakes of protocol I make (this is my
> > first post to a mailing list),
> 
> Apart from the HTML mail, you did well. ;-)
> 
> > but I believe I have found a situation 
> > that breaks crosstool-NG 1.7.0. I am attempting to build a cross
> > compiler for the ARMv5TE in my SheevaPlug, building for Linux
> > 2.6.33.2, using glibc-2.9.
> > Everything builds without incident until glibc, which fails in the
> > configure script, saying that 'as' and 'ld' are too old - I'm running
> > Ubuntu 10.04 x86_64 as host, with binutils 2.20.1 installed.
> 
> Yes, this is a known issue, albeit undocumented. :-/
> 
> > I had a 
> > look around in glibc's configure.in file, which has a regex used to
> > detect the version of binutils at lines 847 and 850 -
> > [2.1[3-9]*|2.20]. It appears that it has 2.20 as a special case,
> > and thus 2.20.1 won't work.
> 
> This is due to patches/glibc/2.9/600-recent-binutils.patch which adds
> support for binutils-2.20. At the time the patch was devised, 2.20.1
> was not out yet.

may be backporting
http://sourceware.org/ml/libc-alpha/2009-09/msg00024.html
will help

-Khem

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list